DELETE FROM T_HSBS_FUNCDEFINE WHERE FID = 1817506703265021952;
INSERT INTO T_HSBS_FUNCDEFINE(FID,FISSYSPRESET,FEXAMPLE,FDISABLEDATE,FFUNCTYPEID,FSIMPLENAME,FDEFINE,FDESCRIPTION,FMASTERID,FSTATUS,FFUNCEXP,FNUMBER,FUNIQUECODE,FNAME,FINDEX,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FFUNCDATATYPE,FCREATORID,FDISABLERID) VALUES (1817506703265021952,'1','根据员工综合所得收入情况与年终奖进行税优测算，设置函数如下：
FC[全年一次性奖金税优测算](SL[综合所得应纳税所得额]， SL[全年一次性奖金]，1，FT[上月应发]，0)',NULL,1817332246131120128,' ','oneTimeBonusCalForYear','通过合理调整年终奖与综合所得的份额，使合计税最低，并返回合计税最低的最优年终奖方案',1817506703265021952,'C',' ','5000_S','FC_5000_S','全年一次性奖金税优测算',200,{ts'2023-11-13  00:00:00'},1,'1',{ts'2023-11-14  00:00:00'},'BigDecimal',1,0);
DELETE FROM T_HSBS_FUNCDEFINE_L WHERE FPKID = '3P8HACESZUPL';
INSERT INTO T_HSBS_FUNCDEFINE_L(FID,FPKID,FLOCALEID,FEXAMPLE,FSIMPLENAME,FDESCRIPTION,FNAME) VALUES (1817506703265021952,'3P8HACESZUPL','zh_CN','根据员工综合所得收入情况与年终奖进行税优测算，设置函数如下：
FC[全年一次性奖金税优测算](SL[综合所得应纳税所得额]， SL[全年一次性奖金]，1，FT[上月应发]，0)',' ','通过合理调整年终奖与综合所得的份额，使合计税最低，并返回合计税最低的最优年终奖方案','全年一次性奖金税优测算');  

DELETE FROM t_hsbs_funcdefineentry WHERE FENTRYID = 1817506719186599936;
INSERT INTO t_hsbs_funcdefineentry(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1817506703265021952,'综合所得部分已做完各类扣除的应纳税所得额，税优测算原始金额',1817506719186599936,1,'BigDecimal','综合所得应纳税所得额'); 
DELETE FROM t_hsbs_funcdefineentry WHERE FENTRYID = 1817506719186599937;
INSERT INTO t_hsbs_funcdefineentry(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1817506703265021952,'全年一次性奖金，税优测算的原始金额',1817506719186599937,2,'BigDecimal','全年一次性奖金'); 
DELETE FROM t_hsbs_funcdefineentry WHERE FENTRYID = 1817506719186599938;
INSERT INTO t_hsbs_funcdefineentry(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1817506703265021952,'用于控制，年终奖税优调整模式， 0：测算时仅考虑将年终奖往工资中调整的方式 1：测算时考虑年终奖与工资双向调整',1817506719186599938,3,'BigDecimal','税优调整模式'); 
DELETE FROM t_hsbs_funcdefineentry WHERE FENTRYID = 1817506719186599939;
INSERT INTO t_hsbs_funcdefineentry(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1817506703265021952,'工资可往年终奖中调整的最大值，当税优调整模式为0时，会忽略该参数；当税优模式模式为1时，会根据该参数控制工资调入年终奖的最大值；当填写0时，不限制可调范围最大值。 例如：测算过程中，得到一组结果，需要将工资往年终奖中调入10000，但工资可调范围为8000，那么会对这组结果进行修正，仅调8000',1817506719186599939,4,'BigDecimal','工资可调范围'); 
DELETE FROM t_hsbs_funcdefineentry WHERE FENTRYID = 1817506719186599940;
INSERT INTO t_hsbs_funcdefineentry(FID,FPARAMDESC,FENTRYID,FSEQ,FPARAMDATATYPE,FPARAMNAME) VALUES (1817506703265021952,'指定输出最优年终奖方案中具体项目， 0：税优后年终奖 1：年终奖拆入综合所得部分 2：合计税 3：预计节税',1817506719186599940,5,'BigDecimal','输出结果'); 

DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '3P8HACESZUPN';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('3P8HACESZUPN','zh_CN','综合所得部分已做完各类扣除的应纳税所得额，税优测算原始金额',1817506719186599936,'综合所得应纳税所得额'); 
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '3P8HACESZUPP';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('3P8HACESZUPP','zh_CN','全年一次性奖金，税优测算的原始金额',1817506719186599937,'全年一次性奖金'); 
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '3P8HACESZUPR';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('3P8HACESZUPR','zh_CN','用于控制，年终奖税优调整模式， 0：测算时仅考虑将年终奖往工资中调整的方式（默认） 1：测算时考虑年终奖与工资双向调整',1817506719186599938,'税优调整模式'); 
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '3P8HACESZUPT';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('3P8HACESZUPT','zh_CN','工资可往年终奖中调整的最大值，当税优调整模式为0时，会忽略该参数；当税优模式模式为1时，会根据该参数控制工资调入年终奖的最大值；当填写0时，不限制可调范围最大值。 例如：测算过程中，得到一组结果，需要将工资往年终奖中调入10000，但工资可调范围为8000，那么会对这组结果进行修正，仅调8000',1817506719186599939,'工资可调范围'); 
DELETE FROM T_HSBS_FUNCDEFINEENTRY_L WHERE FPKID = '3P8HACESZUPV';
INSERT INTO T_HSBS_FUNCDEFINEENTRY_L(FPKID,FLOCALEID,FPARAMDESC,FENTRYID,FPARAMNAME) VALUES ('3P8HACESZUPV','zh_CN','指定输出最优年终奖方案中具体项目， 0：税优后年终奖 1：年终奖拆入综合所得部分 2：合计税 3：预计节税',1817506719186599940,'输出结果'); 
